Depscale is a Depression Screening tool which can be used on older people. It is adapted from an example of DSL in Ruby by Russ Olsen. The Tool is an example of the use of DSL to administer a list of questions and counting the score and giving back a judgement.

Usage:
======
To start the test type "require 'depscale', depscale" at the prompt.

Technical Medical Stuff:
========================
The Geriatric Depression Scale (GDS)
------------------------------------
Depression is common in late life, affecting nearly 5 million of the 31 million Americans aged 65 and older with clinically significant depressive symptoms reaching 13% in older adults aged 80 and older (Blazer, 2009). Major depression is reported in 8-16% of community dwelling older adults, 5-10% of older medical outpatients seeing a primary care provider, 10-12% of medical-surgical hospitalized older adults with 23% more experiencing significant depressive symptoms (Blazer, 2009).

Depression is often reversible with prompt recognition and appropriate treatment. However, if left untreated, depression may result in the onset of physical, cognitive, functional, and social impairment, as well as decreased quality of life,
delayed recovery from medical illness and surgery, increased health care utilization, and suicide.

While there are many instruments available to measure depression, the Geriatric Depression Scale (GDS), first created by Yesavage, et al., has been tested and used extensively with the older population. The GDS Long Form is a brief, 30-item questionnaire in which participants are asked to respond by answering yes or no in reference to how they felt over the past week. A Short Form GDS consisting of
15 questions was developed in 1986. Questions from the Long Form GDS which had the highest correlation with depressive symptoms in validation studies were selected for the short version. Of the 15 items, 10 indicated the presence of depression when answered positively, while the rest (question numbers 1, 5, 7, 11, 13) indicated depression when answered negatively. Scores of 0-4 are considered normal, depending on
age, education, and complaints; 5-8 indicate mild depression; 9-11 indicate moderate depression; and 12-15 indicate severe depression.

The Short Form is more easily used by physically ill and mildly to moderately demented patients who have short attention spans and/or feel easily fatigued. It takes about 5 to 7 minutes to complete.

TARGET POPULATION:
-----------------
The GDS may be used with healthy, medically ill and mild to moderately cognitively impaired older adults. It has
been extensively used in community, acute and long-term care settings.

VALIDITY AND RELIABILITY:
-------------------------
The GDS was found to have a 92% sensitivity and a 89% specificity when evaluated against diagnostic criteria. The validity and reliability of the tool have been supported through both clinical practice and research. In a validation study comparing the Long and Short Forms of the GDS for self-rating of symptoms of depression, both were successful in differentiating depressed from non-depressed adults with a high correlation (r = .84, p < .001) (Sheikh & Yesavage, 1986).

STRENGTHS AND LIMITATIONS:
--------------------------
The GDS is not a substitute for a diagnostic interview by mental health professionals. It is a useful screening tool in the clinical setting to facilitate assessment of depression in older adults especially when baseline measurements are
compared to subsequent scores. It does not assess for suicidality.

FOLLOW-UP:
---------
The presence of depression warrants prompt intervention and treatment. The GDS may be used to monitor depression over
time in all clinical settings. Any positive score above 5 on the GDS Short Form should prompt an in-depth psychological assessment and evaluation for suicidality.

sources :
========= 
The Geriatric Depression Scale can be found at this link
[The Geriatric Depression Scale (GDS)](http://consultgerirn.org/uploads/File/trythis/try_this_4.pdf)

The script code was adapted from the excellent post by Russ Olsen on Building a DSL in Ruby - Part I, which you can find at :[Building a DSL in Ruby - Part I](http://jroller.com/rolsen/entry/building_a_dsl_in_ruby)
